<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head lang="en">
    <title>URL Shortener Application</title>
    <!--/*/ <th:block th:include="fragments/headerinc :: head"></th:block> /*/-->
</head>
<body>
<div class="container">
    <!--/*/ <th:block th:include="fragments/header :: header"></th:block> /*/-->
    <div th:if="${not #lists.isEmpty(urlObjects)}">
        <h2>Shortened URL List</h2>
        <table class="table table-striped">
            <tr>
                <th>Id</th>
                <th>Original URL</th>
                <th>Shortened URL</th>
                <th>View</th>
                <th>Edit</th>
                <th>Delete</th>
            </tr>
            <tr th:each="urlObject: ${urlObjects}">
                <td th:text="${urlObject.id}"><a href="/product/${product.id}">Id</a></td>
                <td><a th:text="${urlObject.original_url}" th:href="@{${urlObject.original_url}}"></a></td>
                <td><a th:text="${urlObject.shortened_url}" th:href="@{'/' + ${urlObject.shortened_url}}"></a></td>
                <td><a th:href="${'/urlObject/' + urlObject.id}">View</a></td>
                <td><a th:href="${'/urlObject/edit/' + urlObject.id}">Edit</a></td>
                <td><a th:href="${'/urlObject/delete/' + urlObject.id}">Delete</a></td>
            </tr>
        </table>

    </div>
</div>

</body>
</html>